summarylogtreecommitdiffstats
path: root/dat-gateway.install
diff options
context:
space:
mode:
authorredfish2019-04-20 16:07:19 -0400
committerredfish2019-04-20 16:07:19 -0400
commit4c1adc0c0c0fa856746909ea69085dc37ec8629e (patch)
tree0bfa87ca47ed4450a942526740ccd26d0e483eb6 /dat-gateway.install
downloadaur-4c1adc0c0c0fa856746909ea69085dc37ec8629e.tar.gz
dat-gateway 2.1.2beta
Diffstat (limited to 'dat-gateway.install')
-rw-r--r--dat-gateway.install9
1 files changed, 9 insertions, 0 deletions
diff --git a/dat-gateway.install b/dat-gateway.install
new file mode 100644
index 000000000000..9cfb842bbbd9
--- /dev/null
+++ b/dat-gateway.install
@@ -0,0 +1,9 @@
+USER=dat-gateway
+
+post_install() {
+ getent passwd ${USER} &>/dev/null || {
+ echo -n ">>> Creating ${USER} user... "
+ useradd --system --user-group ${USER}
+ echo "done"
+ }
+}